Mailinglist Archive: opensuse-updates (126 mails)

< Previous Next >
openSUSE-SU-2018:0047-1: moderate: Security update for libvorbis
openSUSE Security Update: Security update for libvorbis
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0047-1
Rating: moderate
References: #1059809 #1059811
Cross-References: CVE-2017-14632 CVE-2017-14633
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for libvorbis fixes the following issues:

- CVE-2017-14633: out-of-bounds array read vulnerability exists in
function mapping0_forward() could lead to remote denial of service
(bsc#1059811)
- CVE-2017-14632: Remote Code Execution upon freeing uninitialized memory
in function vorbis_analysis_headerout(bsc#1059809)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-15=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2018-15=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libvorbis-debugsource-1.3.3-8.1
libvorbis-devel-1.3.3-8.1
libvorbis0-1.3.3-8.1
libvorbis0-debuginfo-1.3.3-8.1
libvorbisenc2-1.3.3-8.1
libvorbisenc2-debuginfo-1.3.3-8.1
libvorbisfile3-1.3.3-8.1
libvorbisfile3-debuginfo-1.3.3-8.1

- openSUSE Leap 42.3 (x86_64):

libvorbis0-32bit-1.3.3-8.1
libvorbis0-debuginfo-32bit-1.3.3-8.1
libvorbisenc2-32bit-1.3.3-8.1
libvorbisenc2-debuginfo-32bit-1.3.3-8.1
libvorbisfile3-32bit-1.3.3-8.1
libvorbisfile3-debuginfo-32bit-1.3.3-8.1

- openSUSE Leap 42.3 (noarch):

libvorbis-doc-1.3.3-8.1

- openSUSE Leap 42.2 (i586 x86_64):

libvorbis-debugsource-1.3.3-5.3.1
libvorbis-devel-1.3.3-5.3.1
libvorbis0-1.3.3-5.3.1
libvorbis0-debuginfo-1.3.3-5.3.1
libvorbisenc2-1.3.3-5.3.1
libvorbisenc2-debuginfo-1.3.3-5.3.1
libvorbisfile3-1.3.3-5.3.1
libvorbisfile3-debuginfo-1.3.3-5.3.1

- openSUSE Leap 42.2 (noarch):

libvorbis-doc-1.3.3-5.3.1

- openSUSE Leap 42.2 (x86_64):

libvorbis0-32bit-1.3.3-5.3.1
libvorbis0-debuginfo-32bit-1.3.3-5.3.1
libvorbisenc2-32bit-1.3.3-5.3.1
libvorbisenc2-debuginfo-32bit-1.3.3-5.3.1
libvorbisfile3-32bit-1.3.3-5.3.1
libvorbisfile3-debuginfo-32bit-1.3.3-5.3.1


References:

https://www.suse.com/security/cve/CVE-2017-14632.html
https://www.suse.com/security/cve/CVE-2017-14633.html
https://bugzilla.suse.com/1059809
https://bugzilla.suse.com/1059811


< Previous Next >
This Thread
  • No further messages